package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IAsync<T extends Tag<T>> extends IInstance<T> {
  default T isAsync() {
    return self().attr("async");
  }

  default T withCondAsync(final boolean enable) {
    return enable ? self().attr("async") : self();
  }
}
