package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IAutocomplete<T extends Tag<T>> extends IInstance<T> {
  default T isAutocomplete() {
    return self().attr("autocomplete", "on");
  }

  default T withCondAutocomplete(final boolean enable) {
    return enable ? self().attr("autocomplete", "on") : self();
  }
}
