package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IChecked<T extends Tag<T>> extends IInstance<T> {
  default T isChecked() {
    return self().attr("checked");
  }

  default T withCondChecked(final boolean enable) {
    return enable ? self().attr("checked") : self();
  }
}
