package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface ICols<T extends Tag<T>> extends IInstance<T> {
  default T withCols(final String cols_) {
    return self().attr("cols", cols_);
  }

  default T withCondCols(final boolean enable, final String cols_) {
    return enable ? self().attr("cols", cols_) : self();
  }
}
