package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IKind<T extends Tag<T>> extends IInstance<T> {
  default T withKind(final String kind_) {
    return self().attr("kind", kind_);
  }

  default T withCondKind(final boolean enable, final String kind_) {
    return enable ? self().attr("kind", kind_) : self();
  }
}
