package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface ILow<T extends Tag<T>> extends IInstance<T> {
  default T withLow(final String low_) {
    return self().attr("low", low_);
  }

  default T withCondLow(final boolean enable, final String low_) {
    return enable ? self().attr("low", low_) : self();
  }
}
