package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IMaxlength<T extends Tag<T>> extends IInstance<T> {
  default T withMaxlength(final String maxlength_) {
    return self().attr("maxlength", maxlength_);
  }

  default T withCondMaxlength(final boolean enable, final String maxlength_) {
    return enable ? self().attr("maxlength", maxlength_) : self();
  }
}
