package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOnresize<T extends Tag<T>> extends IInstance<T> {
  default T withOnresize(final String onresize_) {
    return self().attr("onresize", onresize_);
  }

  default T withCondOnresize(final boolean enable, final String onresize_) {
    return enable ? self().attr("onresize", onresize_) : self();
  }
}
