package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IRel<T extends Tag<T>> extends IInstance<T> {
  default T withRel(final String rel_) {
    return self().attr("rel", rel_);
  }

  default T withCondRel(final boolean enable, final String rel_) {
    return enable ? self().attr("rel", rel_) : self();
  }
}
