package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IReversed<T extends Tag<T>> extends IInstance<T> {
  default T isReversed() {
    return self().attr("reversed");
  }

  default T withCondReversed(final boolean enable) {
    return enable ? self().attr("reversed") : self();
  }
}
