package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface ISandbox<T extends Tag<T>> extends IInstance<T> {
  default T isSandbox() {
    return self().attr("sandbox");
  }

  default T withCondSandbox(final boolean enable) {
    return enable ? self().attr("sandbox") : self();
  }
}
