package org.xbib.j2html.codegen;

import java.io.IOException;
import java.io.InputStream;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import org.junit.jupiter.api.Test;

public class GenerateTest {

    @Test
    public void generate() throws IOException {
        try (InputStream inputStream = getClass().getResourceAsStream("/html.model")) {
            String definitions = new String(inputStream.readAllBytes());
            Model model = new Model();
            Parser.parse(definitions, model);
            Path dir = Paths.get("build/generated/sources/j2html");
            Files.createDirectories(dir);
            Generator.generate(dir, "j2html.tags.attributes", "j2html.tags.specialized", model);
        }
    }
}
