package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IControls<T extends Tag<T>> extends IInstance<T> {
  default T isControls() {
    return self().attr("controls");
  }

  default T withCondControls(final boolean enable) {
    return enable ? self().attr("controls") : self();
  }
}
