package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IMultiple<T extends Tag<T>> extends IInstance<T> {
  default T isMultiple() {
    return self().attr("multiple");
  }

  default T withCondMultiple(final boolean enable) {
    return enable ? self().attr("multiple") : self();
  }
}
