package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface INovalidate<T extends Tag<T>> extends IInstance<T> {
  default T isNovalidate() {
    return self().attr("novalidate");
  }

  default T withCondNovalidate(final boolean enable) {
    return enable ? self().attr("novalidate") : self();
  }
}
