package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOncuechange<T extends Tag<T>> extends IInstance<T> {
  default T withOncuechange(final String oncuechange_) {
    return self().attr("oncuechange", oncuechange_);
  }

  default T withCondOncuechange(final boolean enable, final String oncuechange_) {
    return enable ? self().attr("oncuechange", oncuechange_) : self();
  }
}
