package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOnpagehide<T extends Tag<T>> extends IInstance<T> {
  default T withOnpagehide(final String onpagehide_) {
    return self().attr("onpagehide", onpagehide_);
  }

  default T withCondOnpagehide(final boolean enable, final String onpagehide_) {
    return enable ? self().attr("onpagehide", onpagehide_) : self();
  }
}
