package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOnplay<T extends Tag<T>> extends IInstance<T> {
  default T withOnplay(final String onplay_) {
    return self().attr("onplay", onplay_);
  }

  default T withCondOnplay(final boolean enable, final String onplay_) {
    return enable ? self().attr("onplay", onplay_) : self();
  }
}
