package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOnseeked<T extends Tag<T>> extends IInstance<T> {
  default T withOnseeked(final String onseeked_) {
    return self().attr("onseeked", onseeked_);
  }

  default T withCondOnseeked(final boolean enable, final String onseeked_) {
    return enable ? self().attr("onseeked", onseeked_) : self();
  }
}
