package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOpen<T extends Tag<T>> extends IInstance<T> {
  default T isOpen() {
    return self().attr("open");
  }

  default T withCondOpen(final boolean enable) {
    return enable ? self().attr("open") : self();
  }
}
