package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IRequired<T extends Tag<T>> extends IInstance<T> {
  default T isRequired() {
    return self().attr("required");
  }

  default T withCondRequired(final boolean enable) {
    return enable ? self().attr("required") : self();
  }
}
