package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IStart<T extends Tag<T>> extends IInstance<T> {
  default T withStart(final String start_) {
    return self().attr("start", start_);
  }

  default T withCondStart(final boolean enable, final String start_) {
    return enable ? self().attr("start", start_) : self();
  }
}
