package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IStep<T extends Tag<T>> extends IInstance<T> {
  default T withStep(final String step_) {
    return self().attr("step", step_);
  }

  default T withCondStep(final boolean enable, final String step_) {
    return enable ? self().attr("step", step_) : self();
  }
}
