package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IValue<T extends Tag<T>> extends IInstance<T> {
  default T withValue(final String value_) {
    return self().attr("value", value_);
  }

  default T withCondValue(final boolean enable, final String value_) {
    return enable ? self().attr("value", value_) : self();
  }
}
