package org.xbib.j2html.tags.specialized;

import org.xbib.j2html.tags.ContainerTag;
import org.xbib.j2html.tags.attributes.IAutoplay;
import org.xbib.j2html.tags.attributes.IControls;
import org.xbib.j2html.tags.attributes.ILoop;
import org.xbib.j2html.tags.attributes.IMuted;
import org.xbib.j2html.tags.attributes.IOnabort;
import org.xbib.j2html.tags.attributes.IOncanplay;
import org.xbib.j2html.tags.attributes.IOncanplaythrough;
import org.xbib.j2html.tags.attributes.IOndurationchange;
import org.xbib.j2html.tags.attributes.IOnemptied;
import org.xbib.j2html.tags.attributes.IOnended;
import org.xbib.j2html.tags.attributes.IOnerror;
import org.xbib.j2html.tags.attributes.IOnloadeddata;
import org.xbib.j2html.tags.attributes.IOnloadedmetadata;
import org.xbib.j2html.tags.attributes.IOnloadstart;
import org.xbib.j2html.tags.attributes.IOnpause;
import org.xbib.j2html.tags.attributes.IOnplay;
import org.xbib.j2html.tags.attributes.IOnplaying;
import org.xbib.j2html.tags.attributes.IOnprogress;
import org.xbib.j2html.tags.attributes.IOnratechange;
import org.xbib.j2html.tags.attributes.IOnseeked;
import org.xbib.j2html.tags.attributes.IOnseeking;
import org.xbib.j2html.tags.attributes.IOnstalled;
import org.xbib.j2html.tags.attributes.IOnsuspend;
import org.xbib.j2html.tags.attributes.IOntimeupdate;
import org.xbib.j2html.tags.attributes.IOnvolumechanged;
import org.xbib.j2html.tags.attributes.IOnwaiting;
import org.xbib.j2html.tags.attributes.IPreload;
import org.xbib.j2html.tags.attributes.ISrc;

public class AudioTag extends ContainerTag<AudioTag> implements IAutoplay<AudioTag>, IControls<AudioTag>, ILoop<AudioTag>, IMuted<AudioTag>, IOnabort<AudioTag>, IOncanplay<AudioTag>, IOncanplaythrough<AudioTag>, IOndurationchange<AudioTag>, IOnemptied<AudioTag>, IOnended<AudioTag>, IOnerror<AudioTag>, IOnloadeddata<AudioTag>, IOnloadedmetadata<AudioTag>, IOnloadstart<AudioTag>, IOnpause<AudioTag>, IOnplay<AudioTag>, IOnplaying<AudioTag>, IOnprogress<AudioTag>, IOnratechange<AudioTag>, IOnseeked<AudioTag>, IOnseeking<AudioTag>, IOnstalled<AudioTag>, IOnsuspend<AudioTag>, IOntimeupdate<AudioTag>, IOnvolumechanged<AudioTag>, IOnwaiting<AudioTag>, IPreload<AudioTag>, ISrc<AudioTag> {
  public AudioTag() {
    super("audio");
  }
}
