package org.xbib.j2html.tags.specialized;

import org.xbib.j2html.tags.ContainerTag;
import org.xbib.j2html.tags.attributes.IAutoplay;
import org.xbib.j2html.tags.attributes.IControls;
import org.xbib.j2html.tags.attributes.IHeight;
import org.xbib.j2html.tags.attributes.ILoop;
import org.xbib.j2html.tags.attributes.IMuted;
import org.xbib.j2html.tags.attributes.IOnabort;
import org.xbib.j2html.tags.attributes.IOncanplay;
import org.xbib.j2html.tags.attributes.IOncanplaythrough;
import org.xbib.j2html.tags.attributes.IOndurationchange;
import org.xbib.j2html.tags.attributes.IOnemptied;
import org.xbib.j2html.tags.attributes.IOnended;
import org.xbib.j2html.tags.attributes.IOnerror;
import org.xbib.j2html.tags.attributes.IOnloadeddata;
import org.xbib.j2html.tags.attributes.IOnloadedmetadata;
import org.xbib.j2html.tags.attributes.IOnloadstart;
import org.xbib.j2html.tags.attributes.IOnpause;
import org.xbib.j2html.tags.attributes.IOnplay;
import org.xbib.j2html.tags.attributes.IOnplaying;
import org.xbib.j2html.tags.attributes.IOnprogress;
import org.xbib.j2html.tags.attributes.IOnratechange;
import org.xbib.j2html.tags.attributes.IOnseeked;
import org.xbib.j2html.tags.attributes.IOnseeking;
import org.xbib.j2html.tags.attributes.IOnstalled;
import org.xbib.j2html.tags.attributes.IOnsuspend;
import org.xbib.j2html.tags.attributes.IOntimeupdate;
import org.xbib.j2html.tags.attributes.IOnvolumechanged;
import org.xbib.j2html.tags.attributes.IOnwaiting;
import org.xbib.j2html.tags.attributes.IPoster;
import org.xbib.j2html.tags.attributes.IPreload;
import org.xbib.j2html.tags.attributes.ISrc;
import org.xbib.j2html.tags.attributes.IWidth;

public class VideoTag extends ContainerTag<VideoTag> implements IAutoplay<VideoTag>, IControls<VideoTag>, IHeight<VideoTag>, ILoop<VideoTag>, IMuted<VideoTag>, IOnabort<VideoTag>, IOncanplay<VideoTag>, IOncanplaythrough<VideoTag>, IOndurationchange<VideoTag>, IOnemptied<VideoTag>, IOnended<VideoTag>, IOnerror<VideoTag>, IOnloadeddata<VideoTag>, IOnloadedmetadata<VideoTag>, IOnloadstart<VideoTag>, IOnpause<VideoTag>, IOnplay<VideoTag>, IOnplaying<VideoTag>, IOnprogress<VideoTag>, IOnratechange<VideoTag>, IOnseeked<VideoTag>, IOnseeking<VideoTag>, IOnstalled<VideoTag>, IOnsuspend<VideoTag>, IOntimeupdate<VideoTag>, IOnvolumechanged<VideoTag>, IOnwaiting<VideoTag>, IPoster<VideoTag>, IPreload<VideoTag>, ISrc<VideoTag>, IWidth<VideoTag> {
  public VideoTag() {
    super("video");
  }
}
